%define name	cairo-compmgr
%define version 0.3.0
%define release %mkrel 4
%define namedev	%{name}-devel

Summary: 	Cairo Composite Manager
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		http://download.tuxfamily.org/ccm/cairo-compmgr/%{name}-%{version}.tar.xz
URL:		http://cairo-compmgr.tuxfamily.org/
License:	GPLv2
Group:		System/X11
BuildRoot:	%{_tmppath}/%{name}%{version}-%{release}-buildroot
BuildRequires:	pkgconfig 
BuildRequires:  libpixman-1-devel >= 0.16.0
BuildRequires:  libxdamage-devel
BuildRequires:  cairo-devel >= 1.8.0
BuildRequires:  gtk-doc
BuildRequires:  libfreetype6-devel
BuildRequires:  libpng-devel
BuildRequires:  libdirectfb-devel
BuildRequires:  libatk1.0-devel
BuildRequires:  vala >= 0.7.10
BuildRequires:  gtk2-devel >= 2.16.0
BuildRequires:  desktop-file-utils
BuildRequires:  libxext6-devel
Requires:   	glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2

%description
Cairo Composite Manager is a versatile and extensible composite
manager which use cairo for rendering. Plugins can be used to add
some cool effects to your desktop.

%package -n %{namedev}
Summary:	Headers and development files of Cairo Composite Manager
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}

%description -n %{namedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need Cairo Composite Manager.

%prep
%setup -q 

%build
%configure2_5x

%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus


%postun
%clean_menus
		

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING ChangeLog 
%{_bindir}/%{name}
%{_bindir}/ccm-schema-key-to-gconf
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/vala/vapi
%{_mandir}/man1/%{name}.1.bz2
%{_libdir}/%{name}
%{_libdir}/libcairo_compmgr.so.0
%{_libdir}/libcairo_compmgr.so.0.0.3

# These build on my system (tex)
%{_libdir}/glade3/modules/libgladeccm.la
%{_libdir}/glade3/modules/libgladeccm.so
%{_datadir}/glade3/catalogs/cairo-compmgr.xml


%files -n %{namedev}
%defattr(-,root,root)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libcairo_compmgr.la
%{_libdir}/libcairo_compmgr.so
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Apr 18 2011 Texstar <texstar at gmail.com> 0.3.0-4pclos2011
- rebuild for new vala

* Wed Mar 30 2011 Texstar <texstar at gmail.com> 0.3.0-3pclos2011
- rebuild for new glibc/gcc

* Wed Sep 01 2010 Texstar <texstar at gmail.com> 0.3.0-2pclos2010
- rebuild

* Thu Mar 18 2010 slick50 <lxgator@gmail.com> 0.3.0-1pclos2010
- initial pkg
